All’interno del clima di aggiornamenti/cambiamenti dei software in ufficio di questi ultimi mesi… abbiamo deciso di procedere anche con l’aggiornamento del PHP passando dalla storica versione 4 alla 5…

che a sua volta ci permetterà di aggiornare il sistema di supporto per i ticket (quello di cui siamo diventati rivenditori) e alcuni altri strumenti interni.

Se la versione 4 del PHP è quella che aveva stabilizzato il linguaggio e le funzioni di base risolvendo diversi problemi di sicurezza intrinsechi alla gestione delle variabili…

la versione 5 del PHP finalmente lo trasforma in un linguaggio completo permettendo una programmazione ad oggetti *quasi* completa (che si sta via via rifinendo… alcune funzioni come i namespaces arriveranno solo con la 5.3 che al momento è in alpha).

Al di là dei vantaggi tecnici… il PHP 5 ha un difetto! Non è perfettamente compatibile all’indietro con la versione precedente… quindi non è detto che le pagine da noi ospitate vengano mostrate tutte correttamente.

Nonostante le verifiche infatti abbiamo già trovato degli errorini (del modulo ordini per es) … quindi se notate dei malfunzionamenti… fatecelo sapere!

Saluti a tutti!